{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}
{combine_script id='jquery.ui.slider' require='jquery.ui' load='footer' path='themes/default/js/ui/minified/jquery.ui.slider.min.js'}
{combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
{footer_script}

jQuery(function($) {
// slide
    $('.range').each(function(){
        var cls=$(this).attr('class');
        var elem=$(this).parent();
        var input=elem.find('input');
        var options={};
        elem.append('<div class="uirange"></div>');
        options.slide=function(event,ui){
            elem.find('label span').empty().append(ui.value);
            input.val(ui.value);
        }
        options.value=input.val();
        options.range='min';
        options.min=$(this).data('min');
        options.max=$(this).data('max');
        elem.find('.uirange').slider(options);
        elem.find('label span').empty().append(input.val());
        input.hide();
    });

    jQuery('.add-ip-allowed-form-toggle').click(function(e) {
        jQuery('.add-ip-allowed-form').toggle();
        e.preventDefault();
    })
});

{/footer_script}

{html_style}
{/html_style}

{if isset ($ipbangest)}

	<fieldset>
	  <legend>{'Banned IP addresses'|@translate}</legend>
		<form method="post" >
			<div style="text-align:center;margin-bottom: 30px;">

				<button name="submitdeleteall" type="submit" class="buttonLike" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">
                    <i class="icon-trash"></i> {'Delete all'|@translate}
                </button>

				<button name="submitdeletedeprecated" type="submit" class="buttonLike" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">
                    <i class="icon-trash"></i> {'Delete deprecated only'|@translate}
                </button>

			</div>
		</form>
	  
	   <table class="lban">
		{foreach from=$ipban2 item=ipban}
		  <tr>
			<td><!-- {$ipban.ID} --> {$ipban.IP}</td>
			<td>{$ipban.DATE}</td>
			<td><span class="badge badge-{$ipban.STATUS}">{$ipban.STATUS_LABEL}</span></td>
			<td>
			<a href="{$ipban.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
                <i class="icon-trash" id="btn_delete" title="{'Delete'|@translate}"></i>
			</a>
			</td>
		  </tr>
		{/foreach}
	 </table>
  	</fieldset>

	 <fieldset class="antiaspi-whitelist">
      <legend>{'Whitelist (allowed ip addresses)'|translate}</legend>
	<form method="post">
			<a href="#" class="icon-plus-circled add-ip-allowed-form-toggle">{'Add allowed IP'|@translate}</a>
			<span class="add-ip-allowed-form">
			{'IP'|@translate} <input " type="text" name="insipallowed" data-ip placeholder="123.123.123.123" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
			<input class="submit" name="submitaddipallowed" type="submit" value="{'Add IP'|@translate}" />
			</span>
	</form>
		<table class="lban">
			{foreach from=$allowip item=allowip2}
			  <tr>
				<td>{$allowip2.IP}</td>
				<td>
				<a href="{$allowip2.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
					<i class="icon-trash" id="btn_delete" title="{'Delete'|@translate}"></i>
				</a>
				</td>
			  </tr>
			{/foreach}
		 </table>
	 </fieldset>
{/if}

{if isset ($ipconfiggest)}
<form method="post">
 <fieldset>
  <legend>{'Configuration'|translate}</legend>
		<p class="input" style="width: 700px;">
		  <label for="insdiffa"><strong>{'IP banned if '|@translate}<span></span></strong></label>
		  <input type="text" name="insdiffa" data-min="10" data-max="500" class="range" value="{$ipconfiggest.DIFFA}"/>  
		</p>	
		<p class="input" style="width: 700px;">
			<label for="insdiffb"><strong>{' different pages viewed in <span></span> seconds'|@translate} </strong></label>
			<input type="text" name="insdiffb" data-min="5" data-max="3599" class="range" value="{$ipconfiggest.DIFFB}"/>
		</p>

		<p class="input" style="width: 700px;margin-top: 50px;">
		  <label for="inssamea"><strong>{'IP banned if same page viewed '|@translate}<span></span></strong></label>
		  <input type="text" name="inssamea" data-min="10" data-max="500" class="range" value="{$ipconfiggest.SAMEA}"/>  
		</p>	
		<p class="input" style="width: 700px;margin-bottom: 50px;">
			<label for="inssameb"><strong>{' times viewed in <span></span> seconds'|@translate} </strong></label>
			<input type="text" name="inssameb" data-min="5" data-max="3599" class="range" value="{$ipconfiggest.SAMEB}"/>
		</p>

	<p>
        <label class="font-checkbox">
          <span class="icon-check"></span>
          <input type="checkbox" name="insonlyguest" {if ($ipconfiggest.ONLYGUEST)}checked="checked"{/if}>
          {'only guest'|@translate} <span class="configSettingHelp"><i class="icon-help-circled"></i>{'If yes, don\'t ban registered users'|@translate}</span>
        </label>
    </p>
	<p>
        <label class="font-checkbox">
          <span class="icon-check"></span>
          <input type="checkbox" name="insonlypicture" {if ($ipconfiggest.ONLYPICTURE)}checked="checked"{/if}>
          {'only picture'|@translate} <span class="configSettingHelp"><i class="icon-help-circled"></i>{'If yes, apply antiaspi only on picture page'|@translate}</span>
        </label>
    </p>
    <p style="margin-top: 50px">
        <button name="submitconfban" type="submit" class="buttonLike">
            <i class="icon-floppy"></i> {'Save Settings'|@translate}
        </button>
    </p>
 </fieldset>
</form>
{/if}